#!/usr/bin/perl
#!c:\Perl\bin\perl.exe

# PL0007.pm	
# Formular-Handling
# FORM_UPL_DECODE - Variablen von GET oder POST Requests, Request String, incl. Dateien von Upload

package EIGEN::Form::PL0007;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;

@ISA       = qw(Exporter AuoLoader);
@EXPORT    = qw();
@EXPORT_OK = qw(FORM_UPL_DECODE);
$VERSION   = '1.0.0';

##################################################################
# Voreinstellungen:
##################################################################


##################################################################
# Subroutinen:
##################################################################

##################################################################
# FORM_UPL_DECODE
#
# Liest Formulardaten eines Uploadformulares mit multipart/form-data
# einschlielich der Daten der bertragenen Datei 
# Beachte: use CGI qw(:standard);(!)
#
# input: $Max     max. erlaubte kB bertragung (1024 kB = 1MB !)
#
# output:\%Felder - alle bermittelten Felnamen u.Feldinhalte incl.
#                   submitButtonName=Name
#
#        $RequestUrl
#        z.B. http://www.abc.de/cgi-bin/mp.cgi?Feld1=Inhalt&absenden=Los!
#
##################################################################
sub FORM_UPL_DECODE
{
 use CGI qw(:standard :OS);
 my ($Max) = @_;
 my ($System,$query,$key,%Felder,$RequestUrl);
 
 if ($ENV{'OS'} eq "Windows_NT") {$System = '1';} else {$System = '0';}
 $CGI::OS = 'WINDOWS' if ($System == 1);
 if ($Max) {$CGI::POST_MAX=1024 * $Max};  # max nK posts
 
# z.B. http://www.domain.de/cgi-bin/boerse/Verzeichnis/mp.cgi
 $RequestUrl = 'http://'.$ENV{'SERVER_NAME'}.$ENV{'SCRIPT_NAME'}.'?';
 
 $query = new CGI;
 
# $query->param liefert Liste aller bergebener Schluesselwoerter 
     
 foreach $key ($query->param)
 {
  $Felder{$key} = $query->param($key);
 }
 
 return(\%Felder,$RequestUrl);
}

1;
__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 AUTHOR

=head1SEE ALSO

=cut